Ruby trunk - Bug #15297

Appveyor - test-all failures & build warnings - bison 3.1 vs 3.2 ?
11/10/2018 05:29 AM - MSP-Greg (Greg L)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 2.6.0dev (2018-11-10 trunk 65649) |Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:
[x64-mingw32] UNKNOWN

Description
Appveyor just updated their images. | have rarely seen build/compile warnings with mingw/gcc & Ruby.

There are two test-all failures:

TestRubyOptions#test_yydebug
TestRubyOptions#test_dump_yydebug_with_rflag

The warnings seem associated with these. Attached file has detail from logs. The appveyor builds are listed at:
https://ci.appveyor.com/project/MSP-Greg/ruby-loco/history

FYI, installed OpenSSL package is now 1.1.1.

Related issues:
Related to Ruby trunk - Bug #15284: Unintentional warnings with node.h Closed

History

#1 - 11/10/2018 05:30 AM - MSP-Greg (Greg L)
- File deleted (2018-11-10_65649.1og)

#2 - 11/10/2018 05:31 AM - MSP-Greg (Greg L)
- File 2018-11-10_65649.log added

#3 - 11/11/2018 03:14 AM - MSP-Greg (Greg L)

- Subject changed from Appveyor mingw new image - test-all failures & build warnings to Appveyor - test-all failures & build warnings - bison 3.1 vs 3.2
?

Finally took the time to look at this, and started with bison, as it's used by both the mswin/vc builds and the mingw build.
Locally, with bison 3.2 (version in the new Appveyor images), | had the same warnings, and stopped the build.
Switching to bison 3.1, the build completed without warnings, and test_rubyoptions.rb passed.

If it would be helpful, | can generate both parse.c & ripper.c with bison 3.1 & 3.2 and post the files...

#4 - 11/11/2018 04:30 AM - MSP-Greg (Greg L)

After reverting to bison 3.1, ruby-loco passed on

ruby 2.6.0dev (2018-11-11 trunk 65664) [x64-mingw32]

#5 - 11/11/2018 12:39 PM - nobu (Nobuyoshi Nakada)
- Related to Bug #15284: Unintentional warnings with node.h added

#6 - 11/11/2018 01:26 PM - nobu (Nobuyoshi Nakada)
- Status changed from Open to Closed

Seems fixed by r65667, too.
Thank you.
https://ci.appveyor.com/project/MSP-Greg/ruby-loco/history
https://bugs.ruby-lang.org/projects/ruby-trunk/repository/revisions/65667
